<template>
    <form @submit.prevent="submitForm">
        <h2>ISS filter form</h2>
        <div>
            <label for="start">Start Time:</label>
            <input type="datetime-local" step="1" id="start" v-model="time_range.start" required>
        </div>
        <div>
            <label for="end">End Time:</label>
            <input type="datetime-local" step="1" id="end" v-model="time_range.end" required>
        </div>
        <div>
            <label for="region">
                Region:
                <select id="region" v-model="region" required>
                    <option value="Europe">Europe</option>
                    <option value="Japan">Japan</option>
                    <option value="California">California</option>
                </select>
            </label>

        </div>
        <div>
            <label for="max_kp">Max Kp:</label>
            <input type="number" step="0.01" id="max_kp" v-model.number="max_kp" required>
        </div>
        <button type="submit">Submit</button>
    </form>
</template>
  
<script>
import axios from 'axios';

export default {
    name: "Iss",
    data() {
        return {
            time_range: {
                start: '',
                end: ''
            },
            region: '',
            max_kp: 2.67
        }
    },
    methods: {
        async submitForm() {
            const data = {
                time_range: this.time_range,
                region: this.region,
                max_kp: this.max_kp
            }
            try {
                const response = await axios.post('http://localhost:8080/filter/iss', data)
                console.log(response.data)
            } catch (error) {
                console.error(error)
            }
        }
    }
}
</script>
  
<style>
h2 {
    text-align: center;
    width: 100%;
}

form {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    padding: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    width: 400px;
    margin: auto;
    text-align: left;
}

input[type="datetime-local"],
select,
input[type="number"] {
    padding: 10px;
    margin-top: 8px;
    margin-bottom: 20px;
    border: none;
    border-radius: 5px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.2);
    font-size: 16px;
    box-sizing: border-box;
    width: 100%;
}

label {
    margin-bottom: 5px;
    font-size: 16px;
    font-weight: bold;
}

button[type="submit"] {
    background-color: #4CAF50;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    box-sizing: border-box;
}

button[type="submit"]:hover {
    background-color: #3e8e41;
}
</style>